package com.tuoheng.miniprogram.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.miniprogram.entity.InspectionFile;
import com.tuoheng.miniprogram.vo.SeeQuestionVo;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author ChengWang
 * @Date 2022/11/23
 */
public interface InspectionFileMapper extends BaseMapper<InspectionFile> {


    SeeQuestionVo selectByInspectionId(@Param("id") String id);
    //查询当前登录人处理问题总数
    Integer getInspectionFileCount(@Param("today") String s,@Param("userId") String id);

    Integer getInspectionFileHandleCount(@Param("today") String s,@Param("tenantId") String id);

    int updateByIdList(Map<String, Object> map);
}
